###############################
#
###############################
vlnorm_surv2 <- function(t,logMu, logSD){
  returnV <- matrix(0,nrow=length(logMu),ncol=length(t))
  for(ii in 1:length(logMu)){
    returnV[ii,]   = 1-plnorm(t,logMu[ii],logSD[ii])
  }
  return(returnV)
}

###############################
#
###############################
vlogistic_surv2 <- function(t,logMu, logSD){
  returnV <- matrix(0,nrow=length(logMu),ncol=length(t))
  for(ii in 1:length(logMu)){
    returnV[ii,]   =1/(1+exp(logMu[ii])*t^(exp(logSD[ii])))
  }
  return(returnV)
}


###############################
#
###############################
vgpareto_surv2 <- function(t,logMu, logSD){
  returnV <- matrix(0,nrow=length(logMu),ncol=length(t))
  for(ii in 1:length(logMu)){
    returnV[ii,]   = (1 + t/exp(-logMu[ii]))^(-logSD[ii])
  }
  return(returnV)
}


###############################
#
###############################
vweib_surv2 <- function(t,logMu, logSD){
  returnV <- matrix(0,nrow=length(logMu),ncol=length(t))
  for(ii in 1:length(logMu)){
    returnV[ii,]   = exp(-exp(-logMu[ii])*t^exp(logSD[ii]))
  }
  return(returnV)
}

vdexp_surv2 <- function(t,logMu, logSD){
  returnV <- matrix(0,nrow=length(logMu),ncol=length(t))
  rr = log(t)
  for(ii in 1:length(logMu)){
    returnV[ii,]   = 1-  0.5*(1 + sign(rr-logMu[ii])*(1-exp(-abs(rr-logMu[ii])/exp(logSD[ii]))))
  }
  return(returnV)
}